[Haswell i915] WARNING: CPU 0: at ... i915 intel_ddi.c intel_ddi_pll_mode_set

Bug #1326092 reported by Jens on 2014-06-03
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I get this whenever I resume from hibernation. When googling for "WARNING intel_ddi_pll_mode_set" there are countless other bug reports of this sort for other projects (Redhat, ChromeOS, ...), so this seems to be a popular Haswell issue.

ACPI: Waking up from system sleep state S4
PM: noirq restore of devices complete after 7.267 msecs
dmar: DRHD: handling fault status reg 2
dmar: INTR-REMAP: Request device [[00:14.0] fault index 15
INTR-REMAP:[fault reason 34] Present field in the IRTE entry is clear
PM: early restore of devices complete after 0.074 msecs
usb usb3: root hub lost power or was reset
usb usb4: root hub lost power or was reset
snd_hda_intel 0000:00:03.0: irq 42 for MSI/MSI-X
xhci_hcd 0000:00:14.0: irq 46 for MSI/MSI-X
mei_me 0000:00:16.0: irq 47 for MSI/MSI-X
usb usb1: root hub lost power or was reset
usb usb2: root hub lost power or was reset
snd_hda_intel 0000:00:1b.0: irq 48 for MSI/MSI-X
ehci-pci 0000:00:1a.0: cache line size of 64 is not supported
ehci-pci 0000:00:1d.0: cache line size of 64 is not supported
i8042 kbd 00:09: System wakeup disabled by ACPI
------------[ cut here ]------------
WARNING: CPU: 0 PID: 28002 at /build/buildd/linux-3.13.0/drivers/gpu/drm/i915/intel_ddi.c:784 intel_ddi_pll_mode_set+0x871/0x8b0 [i915]()
SPLL already enabled
Modules linked in: btrfs raid6_pq xor ufs qnx4 hfsplus hfs minix ntfs msdos jfs xfs libcrc32c cfg80211 pci_stub vboxpci(OF) vboxnetadp(OF) vboxnetflt(OF) vboxdrv(OF) bnep rfcomm bluetooth snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_seq_midi snd_seq_midi_event snd_rawmidi x86_pkg_temp_thermal intel_powerclamp snd_seq coretemp kvm_intel snd_seq_device snd_timer kvm mac_hid snd serio_raw shpchp lpc_ich mei_me mei soundcore intel_smartconnect parport_pc ppdev lp parport dm_crypt hid_generic usbhid hid crct10dif_pclmul mxm_wmi crc32_pclmul ghash_clmulni_intel aesni_intel i915 aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd i2c_algo_bit drm_kms_helper ahci drm r8169 libahci mii wmi video
CPU: 0 PID: 28002 Comm: kworker/u8:2 Tainted: GF W O 3.13.0-27-generic #50-Ubuntu
Hardware name: MSI MS-7817/B85M-E45 (MS-7817), BIOS V10.2 09/25/2013
Workqueue: events_unbound async_run_entry_fn
 0000000000000009 ffff88020f1c38d0 ffffffff817199c4 ffff88020f1c3918
 ffff88020f1c3908 ffffffff810676bd ffff88020dbdc000 0000000000000001
 0000000000024414 0000000000000000 ffff88020d7f8000 ffff88020f1c3968
Call Trace:
 [<ffffffff817199c4>] dump_stack+0x45/0x56
 [<ffffffff810676bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8106772c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa01318f1>] intel_ddi_pll_mode_set+0x871/0x8b0 [i915]
 [<ffffffff8136be79>] ? snprintf+0x39/0x40
 [<ffffffffa0046577>] ? drm_vblank_get+0x77/0x280 [drm]
 [<ffffffff81720202>] ? mutex_lock+0x12/0x2f
 [<ffffffffa011f92b>] haswell_crtc_mode_set+0x3b/0x460 [i915]
 [<ffffffffa01234ab>] __intel_set_mode+0x67b/0x9d0 [i915]
 [<ffffffff8136187f>] ? idr_get_empty_slot+0x16f/0x3c0
 [<ffffffffa0126346>] intel_set_mode+0x16/0x30 [i915]
 [<ffffffffa0126bfb>] intel_crtc_set_config+0x7ab/0x9a0 [i915]
 [<ffffffffa004ee9d>] drm_mode_set_config_internal+0x5d/0xe0 [drm]
 [<ffffffffa00b7f41>] drm_fb_helper_set_par+0x71/0xf0 [drm_kms_helper]
 [<ffffffffa004dcc2>] ? drm_modeset_unlock_all+0x52/0x60 [drm]
 [<ffffffffa00b7ec5>] drm_fb_helper_hotplug_event+0x105/0x110 [drm_kms_helper]
 [<ffffffffa016044c>] intel_fbdev_output_poll_changed+0x1c/0x20 [i915]
 [<ffffffffa00b3de7>] drm_kms_helper_hotplug_event+0x27/0x30 [drm_kms_helper]
 [<ffffffffa00b45b8>] drm_helper_hpd_irq_event+0x148/0x160 [drm_kms_helper]
 [<ffffffffa00e634c>] __i915_drm_thaw+0x1dc/0x210 [i915]
 [<ffffffffa00e63dc>] i915_resume+0x5c/0x90 [i915]
 [<ffffffffa00e6496>] i915_pm_resume+0x16/0x20 [i915]
 [<ffffffff813a5ecd>] pci_pm_restore+0x7d/0xd0
 [<ffffffff813a5e50>] ? pci_pm_suspend_noirq+0x1a0/0x1a0
 [<ffffffff8149a049>] dpm_run_callback+0x49/0xa0
 [<ffffffff8149a1a6>] device_resume+0xc6/0x1f0
 [<ffffffff8149a2ed>] async_resume+0x1d/0x50
 [<ffffffff81091517>] async_run_entry_fn+0x37/0x130
 [<ffffffff810838a2>] process_one_work+0x182/0x450
 [<ffffffff81084641>] worker_thread+0x121/0x410
 [<ffffffff81084520>] ? rescuer_thread+0x3e0/0x3e0
 [<ffffffff8108b312>] kthread+0xd2/0xf0
 [<ffffffff8108b240>] ? kthread_create_on_node+0x1d0/0x1d0
 [<ffffffff8172a2fc>] ret_from_fork+0x7c/0xb0
 [<ffffffff8108b240>] ? kthread_create_on_node+0x1d0/0x1d0
---[ end trace 106210180a05a268 ]---
ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
usb 1-1: reset high-speed USB device number 2 using ehci-pci
ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata3.00: configured for UDMA/100
ata1.00: configured for UDMA/133
sd 0:0:0:0: [sda] Starting disk
usb 3-1: reset low-speed USB device number 2 using xhci_hcd
xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff88020cc6ad00
usb 3-1: ep 0x81 - rounding interval to 64 microframes, ep desc says 80 microframes
PM: restore of devices complete after 735.126 msecs
PM: Image restored successfully.
PM: Basic memory bitmaps freed
r8169 0000:02:00.0: no hotplug settings from platform
pci_bus 0000:04: Allocating resources
pci 0000:03:00.0: PCI bridge to [bus 04]
pci 0000:03:00.0: bridge window [io 0x3000-0x3fff]
pci 0000:03:00.0: bridge window [mem 0xdf600000-0xdf7fffff]
pci 0000:03:00.0: bridge window [mem 0xdf800000-0xdf9fffff 64bit pref]
pci 0000:03:00.0: no hotplug settings from platform

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-27-generic 3.13.0-27.50
ProcVersionSignature: Ubuntu 3.13.0-27.50-generic 3.13.11
Uname: Linux 3.13.0-27-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: jens 3234 F.... pulseaudio
 /dev/snd/controlC0: jens 3234 F.... pulseaudio
CurrentDesktop: LXDE
Date: Tue Jun 3 19:31:19 2014
HibernationDevice: RESUME=UUID=8eef85a0-0281-49ce-9b60-e2a5aaf95c68
InstallationDate: Installed on 2014-05-12 (21 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64+mac (20140417)
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
MachineType: MSI MS-7817
ProcEnviron:
 LANGUAGE=de_DE
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-27-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-27-generic N/A
 linux-backports-modules-3.13.0-27-generic N/A
 linux-firmware 1.127.2
RfKill:

SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/25/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: V10.2
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: B85M-E45 (MS-7817)
dmi.board.vendor: MSI
dmi.board.version: 2.0
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: 2.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrV10.2:bd09/25/2013:svnMSI:pnMS-7817:pvr2.0:rvnMSI:rnB85M-E45(MS-7817):rvr2.0:cvnToBeFilledByO.E.M.:ct3:cvr2.0:
dmi.product.name: MS-7817
dmi.product.version: 2.0
dmi.sys.vendor: MSI

Jens (jens-launchpad-net) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.15 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.15-rc8-utopic/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Jens (jens-launchpad-net) wrote :

Recent kernels do not boot on my machine. The console output ends at "... big_key registered", nothing more happens.

tags: added: kernel-unable-to-test-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Jens (jens-launchpad-net) wrote :

I just experienced (another) freeze at resume and let "apportcheckresume" report the problem. This might be connected to the resume problems.

Jens (jens-launchpad-net) wrote :
Download full text (8.1 KiB)

Apologies: the above comment was valid for -rc2. Now it is already at -rc8,

I booted the new kernel but still get the same result:

[ 60.875316] PM: Creating hibernation image:
[ 60.955114] PM: Need to copy 287934 pages
[ 60.955116] PM: Normal pages needed: 287934 + 1024, available pages: 1773760
[ 60.875949] PM: Restoring platform NVS memory
[ 60.876407] Enabling non-boot CPUs ...
[ 60.876432] x86: Booting SMP configuration:
[ 60.876432] smpboot: Booting Node 0 Processor 1 APIC 0x2
[ 60.888111] kvm: enabling virtualization on CPU1
[ 60.890245] Intel pstate controlling: cpu 1
[ 60.890283] CPU1 is up
[ 60.890294] smpboot: Booting Node 0 Processor 2 APIC 0x4
[ 60.901995] kvm: enabling virtualization on CPU2
[ 60.904106] Intel pstate controlling: cpu 2
[ 60.904141] CPU2 is up
[ 60.904173] smpboot: Booting Node 0 Processor 3 APIC 0x6
[ 60.915897] kvm: enabling virtualization on CPU3
[ 60.918088] Intel pstate controlling: cpu 3
[ 60.918123] CPU3 is up
[ 60.920780] ACPI: Waking up from system sleep state S4
[ 60.920864] ACPI: \_SB_.PWRB: ACPI_NOTIFY_DEVICE_WAKE event
[ 60.921096] ACPI: \_SB_.PCI0.RP01: ACPI_NOTIFY_BUS_CHECK event
[ 60.921108] ACPI: \_SB_.PCI0.RP03: ACPI_NOTIFY_BUS_CHECK event
[ 60.921115] ACPI: \_SB_.PCI0.RP04: ACPI_NOTIFY_BUS_CHECK event
[ 60.924218] PM: noirq restore of devices complete after 2.983 msecs
[ 60.924421] PM: early restore of devices complete after 0.169 msecs
[ 60.969914] usb usb3: root hub lost power or was reset
[ 60.969916] usb usb4: root hub lost power or was reset
[ 60.969989] mei_me 0000:00:16.0: irq 42 for MSI/MSI-X
[ 60.970009] snd_hda_intel 0000:00:03.0: irq 46 for MSI/MSI-X
[ 60.970026] usb usb1: root hub lost power or was reset
[ 60.970054] xhci_hcd 0000:00:14.0: irq 47 for MSI/MSI-X
[ 60.970135] usb usb2: root hub lost power or was reset
[ 60.970173] snd_hda_intel 0000:00:1b.0: irq 48 for MSI/MSI-X
[ 60.973917] ehci-pci 0000:00:1a.0: cache line size of 64 is not supported
[ 60.974214] ehci-pci 0000:00:1d.0: cache line size of 64 is not supported
[ 60.974288] i8042 kbd 00:09: System wakeup disabled by ACPI
[ 60.975380] sd 0:0:0:0: [sda] Starting disk
[ 61.244642] ------------[ cut here ]------------
[ 61.244664] WARNING: CPU: 3 PID: 173 at /home/apw/COD/linux/drivers/gpu/drm/i915/intel_ddi.c:960 intel_ddi_pll_enable+0x23f/0x250 [i915]()
[ 61.244665] SPLL already enabled
[ 61.244680] Modules linked in: pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) rfcomm bnep bluetooth 6lowpan_iphc x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_realtek kvm_intel kvm snd_hda_codec_hdmi snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq parport_pc serio_raw intel_smartconnect snd_seq_device snd_timer microcode snd soundcore mei_me mei ppdev lp parport shpchp lpc_ich mac_hid tpm_infineon dm_crypt hid_generic usbhid hid crct10dif_pclmul crc32_pclmul mxm_wmi ghash_clmulni_intel aesni_intel i915 aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd i2c_algo_bit drm_kms_helper ahci drm r8169 libahci mii wmi video
[ 61.244682] CPU...

Read more...

Jens (jens-launchpad-net) wrote :

See also https://bugs.freedesktop.org/show_bug.cgi?id=78424. It seems this is a regression from an earlier fix.

tags: added: bios-outdated-10.4
Jens (jens-launchpad-net) wrote :

I haven't had the chance to update the BIOS yet but I had the chance to test Lubuntu 14.04 on a MSI B81m-P33 (H81 chipset) and the error does not seem to occur there at all.

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

  With the recent release of this Ubuntu release, would like to confirm if this bug is still present. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get dist-upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.13.0-24.46
Jens (jens-launchpad-net) wrote :

I updated to the newest kernel as requested (3.13-0.29) and now the machine spontaneously reboots when it should resume.
One such reboot was reported as a kernel Oops using Whoopsie:

Jun 17 00:07:50 linuxkiste whoopsie[2729]: online
Jun 17 00:08:58 linuxkiste whoopsie[2729]: Parsing /var/crash/susres.2014-06-17_00:07:45.806643.crash.
Jun 17 00:08:58 linuxkiste whoopsie[2729]: Uploading /var/crash/susres.2014-06-17_00:07:45.806643.crash.
Jun 17 00:09:08 linuxkiste whoopsie[2729]: Sent; server replied with: No error
Jun 17 00:09:08 linuxkiste whoopsie[2729]: Response code: 200
Jun 17 00:09:08 linuxkiste whoopsie[2729]: Got command: OOPSID

First lines of Oops report:

ProblemType: KernelOops
Annotation: This occured during a previous hibernate and prevented it from resuming properly.
Architecture: amd64
Date: Tue Jun 17 00:07:43 2014
DistroRelease: Ubuntu 14.04
ExecutablePath: /usr/share/apport/apportcheckresume
ExecutableTimestamp: 1400281919
Failure: hibernate/resume
InterpreterPath: /usr/bin/python3.4
Package: linux-image-3.13.0-29-generic 3.13.0-29.53
ProcCmdline: /usr/bin/python3 /usr/share/apport/apportcheckresume

Oh, and I also updated the BIOS:

dmi.bios.date: 05/30/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: V10.5
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: CSM-B85M-E45 (MS-7817)
dmi.board.vendor: MSI
dmi.board.version: 2.0
dmi.chassis.asset.tag: To be filled by O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: MSI
dmi.chassis.version: 2.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrV10.5:bd05/30/2014:svnMSI:pnMS-7817:pvr2.0:rvnMSI:rnCSM-B85M-E45(MS-7817):rvr2.0:cvnMSI:ct3:cvr2.0:
dmi.product.name: MS-7817
dmi.product.version: 2.0
dmi.sys.vendor: MSI

tags: added: kernel-bug-exists-upstream kernel-tested-3.13.0-29
removed: kernel-request-3.13.0-24.46 kernel-unable-to-test-upstream
tags: added: bios-current-10.5
removed: bios-outdated-10.4
Jens (jens-launchpad-net) wrote :

Is there any newer release of the i915 driver set for me to test?

Or alternatively, can I check out the source and compile my own driver to test?

Thanks.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Jens (jens-launchpad-net) wrote :
Download full text (3.6 KiB)

I tested

Linux linuxkiste 3.15.0-997-generic #201406070420 SMP Sat Jun 7 08:21:19 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

which has a newer driver version:

[drm] Initialized i915 1.6.0 20140606 for 0000:00:02.0 on minor 0

but it shows the same error upon resume:

[ 171.201957] ------------[ cut here ]------------
[ 171.201980] WARNING: CPU: 3 PID: 171 at /home/apw/COD/linux/drivers/gpu/drm/i915/intel_ddi.c:911 intel_ddi_pll_enable+0x23f/0x250 [i915]()
[ 171.201980] SPLL already enabled
[ 171.201996] Modules linked in: nls_iso8859_1 pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) bnep rfcomm bluetooth 6lowpan_iphc snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic snd_hda_intel x86_pkg_temp_thermal snd_hda_controller snd_hda_codec intel_powerclamp snd_hwdep snd_pcm coretemp snd_seq_midi kvm_intel kvm snd_seq_midi_event snd_rawmidi snd_seq parport_pc microcode ppdev lp shpchp parport intel_smartconnect snd_seq_device snd_timer mei_me mei snd lpc_ich mac_hid tpm_infineon serio_raw soundcore uas usb_storage dm_crypt hid_generic usbhid hid crct10dif_pclmul mxm_wmi crc32_pclmul ghash_clmulni_intel i915 aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd i2c_algo_bit drm_kms_helper ahci drm r8169 libahci mii wmi video
[ 171.201997] CPU: 3 PID: 171 Comm: kworker/u8:3 Tainted: G OE 3.15.0-997-generic #201406070420
[ 171.201998] Hardware name: MSI MS-7817/CSM-B85M-E45 (MS-7817), BIOS V10.5 05/30/2014
[ 171.202001] Workqueue: events_unbound async_run_entry_fn
[ 171.202003] 000000000000038f ffff88020fb67a78 ffffffff81760e58 ffffffff81c51418
[ 171.202003] ffff88020fb67ac8 ffff88020fb67ab8 ffffffff810699cc ffff88020fb67ad8
[ 171.202004] 0000000094000000 ffff88020f7f0000 0000000094000000 0000000000000001
[ 171.202005] Call Trace:
[ 171.202008] [<ffffffff81760e58>] dump_stack+0x46/0x58
[ 171.202010] [<ffffffff810699cc>] warn_slowpath_common+0x8c/0xc0
[ 171.202012] [<ffffffff81069ab6>] warn_slowpath_fmt+0x46/0x50
[ 171.202024] [<ffffffffa0177d2f>] intel_ddi_pll_enable+0x23f/0x250 [i915]
[ 171.202034] [<ffffffffa012fc10>] ? is_pin_display+0x30/0x60 [i915]
[ 171.202044] [<ffffffffa0154a37>] haswell_crtc_mode_set+0x27/0x40 [i915]
[ 171.202055] [<ffffffffa0165772>] __intel_set_mode+0x262/0x420 [i915]
[ 171.202065] [<ffffffffa0168597>] intel_modeset_setup_hw_state+0x357/0x3c0 [i915]
[ 171.202067] [<ffffffff813bd3a0>] ? pci_pm_suspend_noirq+0x1a0/0x1a0
[ 171.202073] [<ffffffffa0106d20>] __i915_drm_thaw+0x130/0x1b0 [i915]
[ 171.202080] [<ffffffffa01077c8>] i915_resume+0x28/0x50 [i915]
[ 171.202082] [<ffffffff813bd3a0>] ? pci_pm_suspend_noirq+0x1a0/0x1a0
[ 171.202087] [<ffffffffa0107806>] i915_pm_resume+0x16/0x20 [i915]
[ 171.202089] [<ffffffff813bd433>] pci_pm_restore+0x93/0xf0
[ 171.202091] [<ffffffff814b7096>] dpm_run_callback+0x56/0xa0
[ 171.202092] [<ffffffff814b799e>] device_resume+0xde/0x210
[ 171.202093] [<ffffffff814b7af1>] async_resume+0x21/0x50
[ 171.202094] [<ffffffff810941fb>] async_run_entry_fn+0x3b/0x140
[ 171.202096] [<ffffffff81085e3f>] process_one_work+0x17f/0x4c0
[ 171.202097] [<ffffffff81086d8b>] worker_thread+0x11b/0x3d0
[ 171.202098] ...

Read more...

Jens (jens-launchpad-net) wrote :
Jens (jens-launchpad-net) wrote :

This bug is driving me nuts. Anything else I can do to help? Thanks!

Sergio Callegari (callegar) wrote :

Bug is also present in 3.16.x

See also https://bugzilla.kernel.org/show_bug.cgi?id=59321

Please assure that the relevant patches are applied on the trusty (lts) and utopic (current) kernels.

IMHO this issue is particularly serious because in most cases the system appears to resume from hibernation (the oopses are not seen unless you explicitly look at the system messages) and the machine appears to work for some minutes before freezing. This means that there is the opportunity for severe data loss.

Jens (jens-launchpad-net) wrote :

I am running 3.17 (see also the above bugzilla.kernel.org report) now with the patches applied which were mentioned in the bug report and so far, except for occasional network outages upon resume (not fixed yet) I have not had this crash again. It seems the bug is actually fixed in 3.17.

Please migrate whatever fixed it to the stock ubuntu kernel! The previous commenter is right, it is a critical bug that can (read: will) cause data loss and file system corruption because Oops and WARNING messages are not forwarded to the desktop user (and most of the time this has no use because the system can't even resume properly).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.